<bugID>1135018<Summary>Host devices catalog on a CDN</Summary><Description>Instead of embedding the catalog of common devices in code, it would be better to host it on a CDN (e.g. alongside WebIDE's addon list) so that it can be kept up-to-date.</Description></bugID>